Compiling Samba 3.0beta1 on OpenBSD 3.3

Compiling Samba 3.0beta1 on OpenBSD 3.3

Post by Kris Kielhofne » Sun, 22 Jun 2003 03:12:22




> Already posted to comp.protocols.smb but
> thought maybe some in this group had come across
> this issue..

> Subject says it all..
> This was my first time compiling.

> Steps..

> 1) downloaded samba-3.0.0beta1.tar.gz
> 2) copied to /tmp
> 3) tar xf samba-3.0.0beta1.tar
> 4) ./configure --without-krb5 --without-ads --without-ldap --with-fhs
> --prefix=/usr --sysconfdir=/etc --localstatedir=/var
> 5)   make

> 6) make install            gives this error..
> **************************************************
> [smb3 95] /tmp/samba-3.0.0beta1/source > make install
> Using FLAGS =  -g -O2 -I./popt -Iinclude
> -I/tmp/samba-3.0.0beta1/source/include
> -I/tmp/samba-3.0.0beta1/source/ubiqx
> -I/tmp/samba-3.0.0beta1/source/smbwrapper  -I.
> -I/tmp/samba-3.0.0beta1/source
>       LIBS = -lresolv
>       LDSHFLAGS = -shared   -g -O2
>       LDFLAGS =
> make: don't know how to make
> /tmp/samba-3.0.0beta1/source/configure.in. Stop in
> /tmp/samba-3.0.0beta1/source.
> **************************************************

> Thx
> tg

Maybe try with gmake?

The make included with most BSD systems is only really meant to be used
inside it's source try, for ports, the kernel, or the base system.

/usr/ports/devel/gmake

--
Kris Kielhofner

 
 
 

1. XFree 3.3 on OpenBSD 3.0

I have a box with a build in video that cannot be disabled. The video is
an S3 Trio64V+. This card is not supported by XFree 4.x. So what do I do?
OpenBSD 3.0 comes with 4.1.x. Can I grag some files from an old distro and
install it over the system?

Thanks!

-Sean

2. What's a good DVD player for Linux?

3. upgrading openbsd 3.3

4. Mirror in ftp site.

5. Problems with ftp-proxy, nat and OpenBSD 3.2/3.3

6. /lib/libc.2.2.2 and smail/elm/mail

7. OpenBSD 3.3 - wrong PPPoE user/pass

8. pppd dies (using wvdial)

9. mail portal openbsd 3.3

10. How to start php4 installed by ports in OpenBSD 3.3?

11. OpenBSD 3.3 sendmail mailertable problem

12. ext3fs over OpenBSD 3.3

13. openbsd 3.3 + (supported) PCMCIA eth. card, quick question.